Package org.springframework.http.client.reactive

# Class AbstractClientHttpResponse

java.lang.Object
org.springframework.http.client.reactive.AbstractClientHttpResponse

All Implemented Interfaces:
  `ClientHttpResponse`, `HttpMessage`, `ReactiveHttpInputMessage`

public abstract class AbstractClientHttpResponse extends Object implements ClientHttpResponse
Base class for `ClientHttpResponse` implementations.

Since:
  5.3.32
Author:
  Arjen Poutsma

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractClientHttpResponse(HttpStatusCode statusCode, HttpHeaders headers, org.springframework.util.MultiValueMap<String,ResponseCookie> cookies, reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> body)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer>`
`getBody()`
Return the body of the message as a `Publisher`.
`org.springframework.util.MultiValueMap<String,ResponseCookie>`
`getCookies()`
Return a read-only map of response cookies received from the server.
`HttpHeaders`
`getHeaders()`
Return the headers of this message.
`HttpStatusCode`
`getStatusCode()`
Return the HTTP status code as an `HttpStatusCode`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.http.client.reactive.ClientHttpResponse

`getId, getRawStatusCode`

## Constructor Details

### AbstractClientHttpResponse

protected AbstractClientHttpResponse(HttpStatusCode statusCode, HttpHeaders headers, org.springframework.util.MultiValueMap<String,ResponseCookie> cookies, reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> body)

## Method Details

### getStatusCode

public HttpStatusCode getStatusCode()
Description copied from interface: `ClientHttpResponse`
Return the HTTP status code as an `HttpStatusCode`.

Specified by:
  `getStatusCode` in interface `ClientHttpResponse`
Returns:
  the HTTP status as `HttpStatusCode` value (never `null`)

### getHeaders

public HttpHeaders getHeaders()
Description copied from interface: `HttpMessage`
Return the headers of this message.

Specified by:
  `getHeaders` in interface `HttpMessage`
Returns:
  a corresponding HttpHeaders object (never `null`)

### getCookies

public org.springframework.util.MultiValueMap<String,ResponseCookie> getCookies()
Description copied from interface: `ClientHttpResponse`
Return a read-only map of response cookies received from the server.

Specified by:
  `getCookies` in interface `ClientHttpResponse`

### getBody

public reactor.core.publisher.Flux<org.springframework.core.io.buffer.DataBuffer> getBody()
Description copied from interface: `ReactiveHttpInputMessage`
Return the body of the message as a `Publisher`.

Specified by:
  `getBody` in interface `ReactiveHttpInputMessage`
Returns:
  the body content publisher